'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.saveState = saveState;
exports.getSavedState = getSavedState;
exports.clearSavedState = clearSavedState;
function saveState(key, data, cacheType) {
    if (cacheType === 'localStorage' || cacheType === undefined) {
        localStorage.setItem(key, JSON.stringify(data));
    } else if (cacheType === 'sessionStorage') {
        sessionStorage.setItem(key, JSON.stringify(data));
    }
}

function getSavedState(key, cacheType) {
    var savedState = null;
    if (cacheType === 'localStorage' || cacheType === undefined) {
        savedState = localStorage.getItem(key);
    } else if (cacheType === 'sessionStorage') {
        savedState = sessionStorage.getItem(key);
    }

    return savedState ? JSON.parse(savedState) : null;
}

function clearSavedState(key, cacheType) {
    if (cacheType === 'localStorage' || cacheType === undefined) {
        localStorage.removeItem(key);
    } else if (cacheType === 'sessionStorage') {
        sessionStorage.removeItem(key);
    }
}